Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# GamesMetadata

com.google.android.gms.games.GamesMetadata

## Class Overview

Entry point for game metadata functionality.

## Summary

Nested Classes
interface | GamesMetadata.LoadGamesResult | Result delivered when game metadata has been loaded.

Public Methods
abstract Game | getCurrentGame(GoogleApiClient apiClient) Gets the metadata for the current game, if available.
abstract PendingResult<GamesMetadata.LoadGamesResult> | loadGame(GoogleApiClient apiClient) Loads the details for the current game.

## Public Methods

#### public abstract Game getCurrentGame (GoogleApiClient apiClient)

Gets the metadata for the current game, if available.

Required API: `API`
Required Scopes: `SCOPE_GAMES`

##### Parameters

apiClient | The `GoogleApiClient` to service the call.

##### Returns

- `Game` metadata for the current game. May be null if the metadata is not available locally.

#### public abstract PendingResult<GamesMetadata.LoadGamesResult> loadGame (GoogleApiClient apiClient)

Loads the details for the current game.

Required API: `API`
Required Scopes: `SCOPE_GAMES`

##### Parameters

apiClient | The `GoogleApiClient` to service the call.

##### Returns

- `PendingResult` to access the data when available.